Bug 1186112 - [thinkpad] Support the Lenovo early 2015 models touchpad (X1 Carbon 3rd, T450, W541)
Summary: [thinkpad] Support the Lenovo early 2015 models touchpad (X1 Carbon 3rd, T450...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Benjamin Tissoires
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
: 1210574 (view as bug list)
Depends On:
Blocks: 1105185 1154209 1186108 1205791
TreeView+ depends on / blocked
 
Reported: 2015-01-27 05:06 UTC by Peter Hutterer
Modified: 2015-11-19 21:19 UTC (History)
14 users (show)

(edit)
Clone Of: 1186108
(edit)
Last Closed: 2015-11-19 21:19:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC

Description Peter Hutterer 2015-01-27 05:06:52 UTC
+++ This bug was initially created as a clone of Bug #1186108 +++

Description of problem:
The Lenovo X1 Carbon 3rd touchpad has physical buttons again for the trackstick (like the touchpads before the *40 series). Alas, those buttons are wired up to the touchpad device and are interpreted as scroll buttons by the synaptics driver.

Additional info:
https://bugs.freedesktop.org/show_bug.cgi?id=88609

Comment 2 Benjamin Tissoires 2015-03-09 19:57:27 UTC
Patches finally showed up in a branch of the input maintainer's tree:
https://git.kernel.org/cgit/linux/kernel/git/dtor/input.git/log/?h=synaptics

If the tests are going well, they will be scheduled for 4.0.

Comment 5 Rafael Aquini 2015-03-24 15:33:12 UTC
Patch(es) available on kernel-3.10.0-233.el7

Comment 8 Benjamin Tissoires 2015-05-05 12:47:54 UTC
Changing the summary to reflect that the bug affects also other laptops from the same series.

Comment 9 Benjamin Tissoires 2015-05-05 22:24:07 UTC
Fixed typo in the updated summary.

Comment 11 Benjamin Tissoires 2015-05-05 22:31:01 UTC
*** Bug 1210574 has been marked as a duplicate of this bug. ***

Comment 19 errata-xmlrpc 2015-11-19 21:19:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2152.html


Note You need to log in before you can comment on or make changes to this bug.